<?php
/*

 $Id: zone.php,v 1.33 2003/12/22 18:29:49 vollmerk Exp $
 $Source: /a1/cvsroot/maint/docs/zone.php,v $

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/*!
	@header Zone Document
	The main document for modifing zones.

*/


/* Start House Keeping */

	require "../modules/config.php";

	// do anything that needs to be done here
        if (!check_session()) { logout(); }
	
	// setup the user environment
	setup_user_environment($action, $zone_id);

/* End House Keeping */

$zone = new Zone($zone_id);

?>

<?php show_template('header'); ?>
<font class="header1">Zone Tools</font><br /><br />

<? 
//the update mojo if block
if ($action == "add_domain") {
	$domain = new Domain($domain_id);
	if ($domain->check_zone($zone->id)) {
		$conf['zone']->add_domain($zone->id,$domain->id);
		$conf['zone']->object_history->update($user->username,"Added $domain->name");
		$conf['ui']->display_confirmation("$domain->name added to $zone->name", "The domain $domain->name has been added as a valid domain for $zone->name.",$conf['web_path'] . "/zone.php?action=show_zone&zone_id=$zone_id");
		}	
} //add_domain

elseif ($action == "remove_domain") {

	$domain = new Domain($domain_id);
	$child = new Child("zone_domain",$domain_id,$zone_id,'count');
	if ($child->has_children) {	
		$conf['ui']->display_confirmation("<font class=\"fatalerror\">Fatal Error, $child->total child objects found</font>", "Error the following objects were found in $zone->name under $domain->name. Please remove them before continuing.", $conf['web_path'] . "/zone.php?action=show_zone&zone_id=$zone_id");
		$child->show_children();
	}
	else {
		$conf['zone']->remove_domain($zone_id, $domain_id);
		$conf['zone']->object_history->update($user->username,"Removed $domain->name");
		$conf['ui']->display_confirmation("$domain->name has been removed from $zone->name", "The domain $domain->name has been removed as a valid choice for $zone->name", $conf['web_path'] . "/zone.php?action=show_zone&zone_id=$zone_id");
	
	} // end else

} // remove_domain


elseif ($action == "add_user") {
	if (!$username) {
		$conf['error']->add_error('username', "Please enter a username (this should be an ONID username).");
		//they biffed it big time... let's bring them back...
		$action = "show_zone";
		}
	else {
		$error = $zone->add_zone_user($username,$level);
		
		if ($error) { 
			$conf['ui']->display_confirmation("Error with Username", "The following errors occured while trying to add $username<br /><br /><font class=\"error\"> $error </font>", $conf['web_path'] . "/zone.php?action=show_zone&zone_id=$zone->id"); 
		}
		else { 
			$conf['ui']->display_confirmation("$username Added","The user $username has been added to $zone->name",$conf['web_path'] . "/zone.php?action=show_zone&zone_id=$zone->id"); 
			$zone->object_history->update($user->username,"Added $username at level $level");
		}
	}
} // add_user

/*!
	@action add_workgroup
	@discussion adds a workgroups to the current zone
*/
elseif ($action == 'add_workgroup' && $user->is_admin) { 

	$workgroup = new Workgroup($workgroup_id);
	$workgroup->add_zone($zone_id,$default);

	$conf['ui']->display_confirmation("Workgroup Added", "$workgroup->name has been added to $zone->name", $conf['web_path'] . "/zone.php?action=edit&zone_id=" . $zone_id);

} // add_workgroup


elseif ($action == "merge_zone" and $really == "1") {

	//merges the client_zone into the zone_id and toasts the client_zone
	$zone_two = new Zone($client_zone);
	$conf['zone']->merge_zones($client_zone,$zone_id);
	$conf['zone']->object_history->update($user->username,"Merged $client_zone->name with " . $conf['zone']->name);
	$conf['ui']->display_confirmation("Zones Merged","$zone_two->name has been moved into $zone->name and deleted",$conf['web_path'] . "/zone.php?action=show_zones");
	
	if ($conf['zone']->id == $zone_two->id) { $conf['zone'] = new Zone($zone_id); }
	
	$user->view = false;
	
} // merge_zone


elseif ($action == "remove_user") {
	$zone->delete_user($user_id);
	$old_user = new User($user_id);
	$zone->object_history->update($user->username,$old_user->username . " removed");
	
	$conf['ui']->display_confirmation("User Removed",$old_user->username . " has been removed from $zone->name", $conf['web_path'] . "/zone.php?action=show_zone&zone_id=$zone->id");
} // remove_user

/*!
	@function update_zone
	@discussion updates the name and comment of a zone
*/
elseif ($action === 'update_zone') {
	$zone->check_name($name,$zone_id);

	if ($conf['error']->error_state) {
		$action = "show_zone";
		$zone_id = $zone->id;
	} 
	else {
		//let's update!
		$zone->object_history->update($user->username,"Updated Zone Information");
		$zone->update_name($name);
		$zone->update_comment($comment);	
		$zone->update_purgeable();
		$zone->update_email($support_email);
		$zone->update_notify($notify);
		$conf['ui']->display_confirmation("Zone updated","The zone $name has been updated",$conf['web_path'] . "/zone.php?action=show_zone&zone_id=$zone->id");
	
	} // end if no errors
		
} // update_zone

elseif ($action == "delete_zone" and $really == "1") {
	$child = new Child("zone",$zone->id);
        if ($child->has_children) {
                $conf['ui']->display_confirmation("<font class=\"fatalerror\">Fatal Error, $child->total child objects found</font>","The following child objects were found on $zone->name. Please remove them and try again.",$conf['web_path'] . "/zone.php?action=show_zone&zone_id=$zone->id");
		$child->show_children();
	        }
        else {
                $conf['zone']->delete_zone($zone->id);
		$conf['ui']->display_confirmation("$zone->name Deleted","$zone->name has been removed from Maintain. ",$conf['web_path'] . "/zone.php?action=show_zones");
	        }
		
} // delete_zone

elseif ($action == "purge" and $really == "1") { 
	//they are sure.... time to toast the hosts
	$conf['zone']->purge_zone($zone_id);
	$conf['zone']->object_history->update($user->username,"Purged Zone");
	$conf['ui']->display_confirmation("Zone Purged","The zone $zone->name has been purged, all host objects have been deleted!", $conf['web_path'] . "/admin.php");		
} //purge_zone

//merge two zones (confirm)
elseif ($action == "merge_zone" and $really != "1") {

	if (!$user->is_admin) {
		$conf['error']->add_error('zone_merge_top',"Insufficant Access, you are not a administrator");
	}
	if ($zone_id == $client_zone) {
		$conf['error']->add_error('zone_merge_top',"Unable to Merge Zone with it's self");
	}
	
	if (!$conf['error']->error_state) { 
		//lets confirm
		$zone_two = new Zone($client_zone);
		$conf['ui']->show_confirm("/zone.php?action=merge_zone&really=1&zone_id=$zone_id&client_zone=$client_zone","<font class=\"error\">Are you sure you want to Merge the Zone $zone->name with $zone_two->name?<br /> This will move everything from $zone_two->name into $zone->name and delete $zone_two->name.</font>");	
	}
	//if we found a error reset the mofo
	else {
		$action = "show_merge_zone";
		$zone_id = false;
		$client_zone = false;
	} 
} //merge_zone (confirm)
//end of the update mojo if block



/*********************

  the display if block

**********************/
if ($action == "show_zone" or $action == "edit")
	{
	$conf['ui']->show_zone($zone,$action_type);
} //show_zone or edit

// Show the update/delete history of the current zone
elseif ($action == 'show_history') {
	$conf['ui']->show_zone_history($conf['zone']->id);
} // show_history

elseif ($action == "show_children") {
	$child = new Child("zone",$zone_id);
	if ($child->has_children) { $child->show_children(); }
	else { echo "<p align=\"center\"><font class=\"fatalerror\">No Child Objects Found</font></p>"; }
	}
elseif ($action == "show_merge_zone") {
	require $conf['prefix'] . "/templates/merge_zone.inc";
	}
// Show Unregistered_hosts requires $date, takes $conf['zone']
elseif ($action == "show_unregistered_hosts") {

	//I'm if they don't pick a time show previous 24hr
	if (!$date) { $date = time() - 86400; } 
	$hosts = $conf['zone']->get_unregistered_hosts($date,$day_count);
	// If we get any hosts back...
	if ($hosts) { $conf['ui']->show_unregistered_hosts($hosts,$date,$day_count,"show_confused_hosts"); }
	// this is good no unregistered hosts
	else {

		echo "<p align=\"center\"><font class=\"fatalerror\">No Unregistered Hosts Found</font></p>";

	} //else no unregistered hosts

} //show_unregistered_hosts
// Show Incorectly registered hosts requires $date, takes $conf['zone']
elseif ($action == "show_confused_hosts") {

	//I'm if they don't pick a time show previous 24hr
	if (!$date) { $date = time() - 86400; } 
	$hosts = $conf['zone']->get_confused_hosts($date,$day_count);
	// If we get any hosts back...
	if ($hosts) { $conf['ui']->show_confused_hosts($hosts,$date,$day_count,"show_confused_hosts"); }
	// this is good no incorrectly registered hosts
	else {

		echo "<p align=\"center\"><font class=\"fatalerror\">No Incorrectly Registered Hosts Found</font></p>";

	} //else no confused hosts

} //show_confused_hosts
elseif ($action == "show_zones")
	{

	// create the view
        $sql = "SELECT * FROM zone";
        if (!$user->view) {
                $user->view = new View($sql);
        }

        if ($sort_type)
                {
                $user->view->initialize($sort_type,$sort_offset);
                }
        else    {
                $user->view->initialize('id', $sort_offset);
                }
	

	// grab a array of objects
	$zones = $conf['ui']->get_zones();
	
	// get the total number of items
	$total_items = mysql_num_rows(mysql_query($user->view->get_sql(), $conf['dbh']));
	if ($total_items > "0") 
		{
		// if there are results run the view
		$conf['script'] = "zone.php";
		$conf['ui']->show_zones($zones, $total_items);
		}
	else 
		{
		echo "<br /><br /><p align=\"center\"><font class=\"header1\">No Zones Records were found </font></p>";
		echo "<br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br /><br />\n";
		}
	}
/*!
	@function delete_zone
	@discussion checks to make sure they have access, and are sure they want to delete the zone
*/
elseif ($action == "Delete Zone") {
	if (!$user->is_admin) {
		$conf['ui']->show_access_denied(); 
	}
	else {
		$conf['ui']->show_confirm($conf['web_path'] . "/zone.php?action=delete_zone&really=1&zone_id=$zone_id","Are you sure you want to delete the Zone $zone->name?");
	}
} // Delete Zone

elseif ($action == "purge" and $really != "1") { 
	//ok they want to purge it... let's make sure
	$conf['ui']->show_confirm($conf['web_path'] . "/zone.php?action=purge&really=1&zone_id=$zone_id", "<font class=\"error\"><b>Purging this zone will delete all host records, are you sure you want to do this?</b></font>");
	}
?>
<? show_template('footer'); ?>
