<?php
/*

 $Id: config.php,v 1.60 2003/12/22 22:17:06 vollmerk Exp $
 $Source: /a1/cvsroot/maint/modules/config.php,v $

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/*!
	@header Config File
	This is the file that is required from each page, it loads any need modules...

*/
$conf = array();

$current_path = dirname(__FILE__);
$real_path = realpath($current_path . "/../config/maintain.cfg");
$conf = read_config($real_path);

/* *************************************************************
 * stop editing here
 * ************************************************************* */

// Cheat a little to setup the extra vars needed by libglue
$conf['mysql_host'] 	= $conf['local_host'];
$conf['mysql_db']	= $conf['local_db'];
$conf['mysql_username']	= $conf['local_username'];
$conf['mysql_user']	= $conf['local_username'];
$conf['mysql_passwd']	= $conf['local_pass'];
$conf['mysql_pass']	= $conf['local_pass'];
$conf['mysql_usercol'] 	= $conf['local_usercol'];
$conf['mysql_passcol']	= 'password';
$conf['dbh']		= $conf['local_dbh_name'];
$conf['login_page']	= $conf['web_path'] . "/login.php";
$conf['auth_page']	= $conf['web_path'] . "/index.php";
$conf['libglue_path']	= $conf['prefix'] . "/libglue";


if (!isset($conf['stop_auth'])) { 
	$conf['stop_auth'] = $conf['prefix'] . "/build/gone.fishing";
}

/* 
 Include the Variable Evaulator, it does _POST and _GET mojo for us as 
 well as some sanity checking
*/
require ($conf['prefix'] . "/templates/variable_eval.inc");

/**************************************************************
********************START OF LIBGLUE **************************
**************************************************************/

// Require the basic Libglue Library
require($conf['prefix'] . "/modules/lib.php");

// Register the config information:

libglue_param($conf);

// This function manages the config data for libglue.
// If called with a string:
//     libglue_param('sess_name')
// it will try to return the value set for that key.
//
// Pass in the optional $clobber=1 if you don't care
//     about overwriting previous settings
//
function libglue_param($param,$clobber=0)
{
        static $params = array();
        if(is_array($param))
        //meaning we are setting values
        {
                foreach ($param as $key=>$val)
                {
                        if(!$clobber && isset($params[$key]))
                        {
                                echo "Error: attempting to clobber $key = $val\n";
                                exit();
                        }
                        $params[$key] = $val;
                }
                return true;
        }
        else
        //meaning we are trying to retrieve a parameter
        {
                if(isset($params[$param]))
                {
                    return $params[$param];
                }
                else return false;
        }
}

// Authentication functions for ldap and mysql:
require_once $conf['libglue_path'] . "/auth.php";

// Session management functions:
require_once $conf['libglue_path'] . "/session.php";

// Help class for use in your web pages:
/*require_once $conf['libglue_path'] . "/help.php";*/

// Error class definition:
/*require_once $conf['libglue_path'] . "/error.php";*/

// Initialize the database handle used by libglue.
require_once $conf['libglue_path'] . "/dbh.php";

/**************************************************************
*********************END OF LIBGLUE ***************************
**************************************************************/

// check for the gone fishin' page
if ( file_exists($conf['prefix'] . "/build/gone.fishing") ) {
	require($conf['prefix'] . '/templates/gonefishing.inc');
	exit();
}

//Set the $conf['dbh'] to the libglue data source
$conf['dbh'] = check_sess_db('local');

// Now make sure it's a resource
if (!is_resource($conf['dbh'])) {
        // if it fails, then immediately go up to gone fishing
        require($conf['prefix'] . '/templates/gonefishing.inc');
        exit();
}

// now set which db we're using
mysql_select_db($conf['mysql_db'], $conf['dbh']);

// now require the class modules
require($conf['prefix'] . "/modules/class/user.php");
require($conf['prefix'] . "/modules/class/help.php");
require($conf['prefix'] . "/modules/class/zone.php");
require($conf['prefix'] . "/modules/class/ip.php");
require($conf['prefix'] . "/modules/class/mx.php");
require($conf['prefix'] . "/modules/class/soa.php");
require($conf['prefix'] . "/modules/class/ns.php");
require($conf['prefix'] . "/modules/class/cname.php");
require($conf['prefix'] . "/modules/class/domain.php");
require($conf['prefix'] . "/modules/class/subnet.php");
require($conf['prefix'] . "/modules/class/range.php");
require($conf['prefix'] . "/modules/class/view.php");
require($conf['prefix'] . "/modules/class/host.php");
require($conf['prefix'] . "/modules/class/error.php");
require($conf['prefix'] . "/modules/class/vlan.php");
require($conf['prefix'] . "/modules/class/workgroup.php");
require($conf['prefix'] . "/modules/class/widget.php");
require($conf['prefix'] . "/modules/class/ui.php");
require($conf['prefix'] . "/modules/class/option.php");
require($conf['prefix'] . "/modules/class/child.php");
require($conf['prefix'] . "/modules/class/staging.php");
require($conf['prefix'] . "/modules/class/modules.php");
require($conf['prefix'] . "/modules/class/module.php"); 
require($conf['prefix'] . "/modules/class/search.php"); 
require($conf['prefix'] . "/modules/class/colors.php"); 
require($conf['prefix'] . "/modules/class/object_history.php"); 
require($conf['prefix'] . "/modules/class/pointer.php"); 

//Extra Modules class requires
require($conf['prefix'] . "/modules/class/autoreg.php");
require($conf['prefix'] . "/modules/class/flo.php"); 
require($conf['prefix'] . "/modules/class/abuse.php"); 

//create the $conf['modules'] link so we can start 'linking' extra modules up
$conf['modules'] = new Modules();

// Create other object we are going to need
$conf['help'] = new Help();
$conf['color'] = new Color($conf['default_color_template']);

//require the modules.conf file from /modules which contains a list of all modules
require($conf['prefix'] . "/modules/modules.php"); 

// Read config, reads a preformated config file
function read_config($config_file, $debug = 0) {

    $fp = fopen($config_file,"r");
    if(!is_resource($fp)) die("Can't open config file $config_file");
    $file_data = fread($fp,filesize($config_file));
    fclose($fp);

    // explode the var by \n's
    $data = explode("\n",$file_data);
    if($debug) echo "<pre>";

    foreach($data as $value) {
        $count++;

        if (preg_match("/^\[([A-Za-z]+)\]$/",$value,$matches)) {
                // If we have previous data put it into $results...
                if (count(${$config_name})) {
                        $results[$config_name] = ${$config_name};
                }

                $config_name = $matches[1];

        } // if it is a [section] name

        elseif ($config_name) {

                // if it's not a comment
                if (preg_match("/^([\w\d]+)\s+=\s+[\"]{1}(.*?)[\"]{1}$/",$value,$matches)
                        || preg_match("/^([\w\d]+)\s+=\s+[\']{1}(.*?)[\']{1}$/", $value, $matches)
                        || preg_match("/^([\w\d]+)\s+=\s+[\'\"]{0}(.*)[\'\"]{0}$/",$value,$matches)) {

                    if (is_array(${$config_name}[$matches[1]]) && isset($matches[2]) ) {
                        if($debug) echo "Adding value <strong>$matches[2]</strong> to existing key <strong>$matches[1]</strong>\n";
                        array_push(${$config_name}[$matches[1]], trim($matches[2]));
                    }

                    elseif (isset(${$config_name}[$matches[1]]) && isset($matches[2]) ) {
                        if($debug) echo "Adding value <strong>$matches[2]</strong> to existing key $matches[1]</strong>\n";
                        ${$config_name}[$matches[1]] = array(${$config_name}[$matches[1]],trim($matches[2]));
                    }

                    elseif ($matches[2] !== "") {
                        if($debug) echo "Adding value <strong>$matches[2]</strong> for key <strong>$matches[1]</strong>\n";
                        ${$config_name}[$matches[1]] = trim($matches[2]);
                    }

                    // if there is something there and it's not a comment
                    elseif ($value{0} !== "#" AND strlen(trim($value)) > 0) {
                        echo "Error Invalid Config Entry --> Line:$count"; die;
                    } // else if it's not a comment and there is something there

                    else {
                        if($debug) echo "Key <strong>$matches[1]</strong> defined, but no value set\n";
                    }
                } // end if it's not a comment

        } // else if no config_name

        elseif (preg_match("/^([\w\d]+)\s+=\s+[\"]{1}(.*?)[\"]{1}$/",$value,$matches)
                        || preg_match("/^([\w\d]+)\s+=\s+[\']{1}(.*?)[\']{1}$/", $value, $matches)
                        || preg_match("/^([\w\d]+)\s+=\s+[\'\"]{0}(.*)[\'\"]{0}$/",$value,$matches)) {


                if (is_array($results[$matches[1]]) && isset($matches[2]) ) {
                        if($debug) echo "Adding value <strong>$matches[2]</strong> to existing key <strong>$matches[1]</strong>\n";
                        array_push($results[$matches[1]], trim($matches[2]));
                }

                elseif (isset($results[$matches[1]]) && isset($matches[2]) ) {
                        if($debug) echo "Adding value <strong>$matches[2]</strong> to existing key $matches[1]</strong>\n";
                        $results[$matches[1]] = array($results[$matches[1]],trim($matches[2]));
                }

                elseif ($matches[2] !== "") {
                        if($debug) echo "Adding value <strong>$matches[2]</strong> for key <strong>$matches[1]</strong>\n";
                        $results[$matches[1]] = trim($matches[2]);
                }

                // if there is something there and it's not a comment
                elseif ($value{0} !== "#" AND strlen(trim($value)) > 0) {
                        echo "Error Invalid Config Entry --> Line:$count"; die;
                } // else if it's not a comment and there is something there

                else {
                        if($debug) echo "Key <strong>$matches[1]</strong> defined, but no value set\n";
                }

        } // end else

    } // foreach

    if (count(${$config_name})) {
        $results[$config_name] = ${$config_name};
    }

    if($debug) echo "</pre>";

    return $results;

} // end read_config




?>
