<!-- Domain Request form -->

<p class="header2">Domain Name Request Form</p>

<p>This form is for the purpose of requesting either:</p>

<p>
A 3rd level host or domain name that immediately precedes OSU's registered 
domain name, typically somename.OREGONSTATE.EDU.
</p>

<p>
or
</p>

<p>
A domain name that will not be within OSU's registered domain name space.
</p>

<p>
There is no need to make a request to NET for names that are part of an 
already assigned domain name such as LIBRARY.OREGONSTATE.EDU.  In this example, 
LIBRARY.OREGONSTATE.EDU has already been assigned and those responsible for that 
domain may attach whatever host or sub-domain names they consider appropriate.
</p>

<p>
Names should be selected carefully.  They reflect on the department as
well as the university.  
</p>

<p>
<b>Note:</b>  In August of 2001, OSU administration asked Network Engineering
to begin moving Oregon State University's Domain Name from ORST.EDU to
OREGONSTATE.EDU.  
</p>

<p>
As of January 1, 2002, the preferred OSU domain name is OREGONSTATE.EDU.
</p>

<!-- start of acutual request document -->
<form action="request_domain.php" enctype="multi-part/formdata" method="post" style="Display:inline">
<? show_template(tborder); ?>
<table border="0" cellpadding="2" cellspacing="0" bgcolor="<?= $conf['light_bgcolor']; ?>" width="100%">
<tr align="left" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
	<td title="<? $conf['help']->display_plain_txt("domainrequest_domainname"); ?>"><? $conf['help']->show_help_link("domainrequest_domainname"); ?> Domain or host name being requested:</td>
	<td><input type="textbox" size="25" name="new_domain_name" value="<?= $new_domain_name; ?>" /></td>
</tr>
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" align="left">
	<td title="<? $conf['help']->display_plain_txt("domainrequest_request_dept"); ?>"><? $conf['help']->show_help_link("domainrequest_request_dept"); ?> Requested by Department or organization:</td>
	<td><input type="textbox" size="25" name="department_name" /></td>
</tr>
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" align="left">
	<td title="<? $conf['help']->display_plain_txt("domainrequest_assigned_domains"); ?>" valign="top"><? $conf['help']->show_help_link("domainrequest_assigned_domains"); ?> List any other 3rd level domains assigned to this department.</td>
	<td><textarea name="trd_lv_domain" cols="25" rows="5"></textarea></td>
</tr>
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" align="left">
	<td colspan="2"><hr /><b>Please provide the name, title, and email address of the following</b><br /></td>
</tr>
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" align="left">
	<td title="<? $conf['help']->display_plain_txt("domainrequest_admin_contact"); ?>"><? $conf['help']->show_help_link("domainrequest_admin_contact"); ?> Administrative Contact:</td>
    	<td><i>(This should be the head of the department making the request)</i></td>
</tr>
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" align="left">
	<td>&nbsp;&nbsp;&nbsp;&nbsp;Name:</td>
	<td><input type="textbox" size="25" name="administrative_name" /></td>
</tr>
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" align="left">
	<td>&nbsp;&nbsp;&nbsp;&nbsp;Title:</td>
	<td><input type="textbox" size="25" name="administrative_title" /></td>
</tr>
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" align="left">
	<td>&nbsp;&nbsp;&nbsp;&nbsp;E-mail Address:</td>
	<td><input type="textbox" size="25" name="administrative_email" /></td>
</tr>
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" align="left">
	<td title="<? $conf['help']->display_plain_txt("domainrequest_tech_contact"); ?>"><? $conf['help']->show_help_link("domainrequest_tech_contact"); ?> Technical Contact:</td>
	<td><i>(This should your department DCA or Computer Support Group)</i></td>
</tr>
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" align="left">
	<td>&nbsp;&nbsp;&nbsp;&nbsp;Name:</td>
	<td><input type="textbox" size="25" name="technical_name" /></td>
</tr>
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" align="left">
	<td>&nbsp;&nbsp;&nbsp;&nbsp;Title:</td>
	<td><input type="textbox" size="25" name="technical_title" /></td>
</tr>
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" align="left">
	<td>&nbsp;&nbsp;&nbsp;&nbsp;E-mail:</td>
	<td><input type="textbox" size="25" name="technical_email" /></td>
</tr>
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" align="left">
	<td title="<? $conf['help']->display_plain_txt("domainrequest_group_email"); ?>"><? $conf['help']->show_help_link("domainrequest_group_email"); ?> Group E-mail Address:</td>
	<td><input type="textbox" size="25" name="group_email" /></td>
</tr>
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" >
	<td colspan="2"><hr /></td>
</tr>
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" align="left">
	<td title="<? $conf['help']->display_plain_txt("domainrequest_webhost"); ?>"><? $conf['help']->show_help_link("domainrequest_webhost"); ?> Who will host the webpage, if applicable:</td>
	<td><input type="textbox" size="25" name="web_host" /></td>
</tr>
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" align="left">
	<td title="<? $conf['help']->display_plain_txt("domainrequest_non_orst"); ?>" valign="top"><? $conf['help']->show_help_link("domainrequest_non_orst"); ?> 
	If the requested domain name is not to be in the OREGONSTATE.EDU domain, please explain why it should not be so.</td>
	<td><textarea name="non_orst_domain_reason" cols="35" rows="7"></textarea></td>
</tr>
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" align="left">
	<td title="<? $conf['help']->display_plain_txt("domainrequest_use"); ?>" valign="top"><? $conf['help']->show_help_link("domainrequest_use"); ?> Describe how this domain will be used. </td>
	<td><textarea name="domain_use" cols="35" rows="7"></textarea></td>
</tr>
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" align="left">
	<td title="<? $conf['help']->display_plain_txt("domainrequest_acronym"); ?>" valign="top"><? $conf['help']->show_help_link("domainrequest_acronym"); ?>If the name is an acronym, please expand it.</td>
	<td><textarea name="acronym" cols="35" rows="7"></textarea></td>
</tr>
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" align="left">
	<td title="<? $conf['help']->display_plain_txt("domainrequest_non_dept"); ?>" valign="top"><? $conf['help']->show_help_link("domainrequest_non_dept"); ?> Reason for X.oregonstate.edu not being department name.</td>
	<td><textarea name="somename_domain" cols="35" rows="7"></textarea></td>
</tr>
<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" align="left">
	<td colspan="2"><input type="submit" value="Submit Request" />
	<input type="hidden" name="action" value="request_domain" />
	</td>
</tr>
</table>
<? show_template(bborder); ?>
</form>
<!-- End domain request document -->

